Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.synth
Class SynthUtils

    java.lang.Object
      org.jdesktop.swingx.plaf.synth.SynthUtils

    public class SynthUtils

extends java.lang.Object

Utility class as stand-in for package private synth utility methods.

Author:
  Jeanette Winzenburg

Constructor Summary
`SynthUtils()`

Method Summary
`static int` | `getComponentState(javax.swing.JComponent c)`
`static javax.swing.plaf.synth.SynthContext` | `getContext(javax.swing.JComponent c, javax.swing.plaf.synth.Region region, javax.swing.plaf.synth.SynthStyle style, int state)` Returns a SynthContext with the specified values.
`static javax.swing.plaf.synth.SynthContext` | `getContext(javax.swing.plaf.synth.SynthContext context, int state)` Returns a context with the given component state and all other fields same as input context.
`static javax.swing.plaf.synth.SynthContext` | `getContext(javax.swing.plaf.synth.SynthContext context, javax.swing.plaf.synth.SynthStyle style)`
`static javax.swing.plaf.synth.SynthPainter` | `getPainter(javax.swing.plaf.synth.SynthContext context)` Returns a SynthPainter from the context's style.
`static boolean` | `shouldUpdateStyle(java.beans.PropertyChangeEvent event)` Returns true if the Style should be updated in response to the specified PropertyChangeEvent.
`static void` | `update(javax.swing.plaf.synth.SynthContext context, java.awt.Graphics g)` A convenience method that handles painting of the background.
`static void` | `update(javax.swing.plaf.synth.SynthContext context, java.awt.Graphics g, java.awt.Rectangle bounds)` A convenience method that handles painting of the background.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynthUtils

    public SynthUtils()

Method Detail

### getContext

    public static javax.swing.plaf.synth.SynthContext getContext(javax.swing.JComponent c,
                                                                 javax.swing.plaf.synth.Region region,
                                                                 javax.swing.plaf.synth.SynthStyle style,
                                                                 int state)

  Returns a SynthContext with the specified values.

  Parameters:
    `component` - JComponent
    `region` - Identifies the portion of the JComponent
    `style` - Style associated with the component
    `state` - State of the component as defined in SynthConstants.
  Returns:
    a SynthContext with the specified values.
  Throws:
    `java.lang.NullPointerException` - if component, region of style is null.

### getContext

    public static javax.swing.plaf.synth.SynthContext getContext(javax.swing.plaf.synth.SynthContext context,
                                                                 javax.swing.plaf.synth.SynthStyle style)

  Parameters:
    `context` -
    `style` -
  Returns:

### getContext

    public static javax.swing.plaf.synth.SynthContext getContext(javax.swing.plaf.synth.SynthContext context,
                                                                 int state)

  Returns a context with the given component state and all other fields same as input context.

  Parameters:
    `context` - the context, must not be null
    `state` - the component state.
  Returns:
    a context with the given component state and other fields as inpu context.

### getPainter

    public static javax.swing.plaf.synth.SynthPainter getPainter(javax.swing.plaf.synth.SynthContext context)

  Returns a SynthPainter from the context's style. Fall-back to default if none available.

  Parameters:
    `context` - SynthContext containing the style, must not be null.
  Returns:
    a SynthPainter from the context's style, or a default if null.

### shouldUpdateStyle

    public static boolean shouldUpdateStyle(java.beans.PropertyChangeEvent event)

  Returns true if the Style should be updated in response to the specified PropertyChangeEvent. This forwards to `shouldUpdateStyleOnAncestorChanged` as necessary.

### getComponentState

    public static int getComponentState(javax.swing.JComponent c)

### update

    public static void update(javax.swing.plaf.synth.SynthContext context,
                              java.awt.Graphics g)

  A convenience method that handles painting of the background. All SynthUI implementations should override update and invoke this method.

  Parameters:
    `context` - must not be null
    `g` - must not be null

### update

    public static void update(javax.swing.plaf.synth.SynthContext context,
                              java.awt.Graphics g,
                              java.awt.Rectangle bounds)

  A convenience method that handles painting of the background. All SynthUI implementations should override update and invoke this method.

  Parameters:
    `context` - must not be null
    `g` - must not be null
    `the` - bounds to fill, may be null to indicate the complete size

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.